<!DOCTYPE html>
<html lang="en"  xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Orders item</title>
    <style>
         @import url('https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400;0,700;1,400;1,700&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    background-color: #d4c7cb;
}
.tab{
    font-family: Arimo;
    margin-top: 10px;
    padding: 10px;
}
.pages{
    float: left;
    list-style: none;
    width: 33.3%;
    text-align: center;
    background-color: #4e5961;
    border-radius: 5px;
    line-height: 20px;
    font-size: 18px;
    padding: 5px;
    color:#d0d7db;
}
.clearfix::after {
    content: "";
    clear: both;
    display: table;
  }
a{
    color:#d0d7db;
}
.main-container{
    margin-top: 10px;
    padding: 20px;
}
img{
    height: 250px;
    width: 300px;
}
td{
    padding: 50px;
}
.col{
    float: left;
    width: 33.33%;
    padding: 30px;
}
    </style>


</head>
<body>

<div class="tab">
    <ul class="tab-list">
        <li class="pages">
            <a href="#">LogIn</a>
        </li>
        <li class="pages">
            <a href="#">SignUp</a>
        </li>
        <li class="pages">
            <a href="#">Forgot</a>
        </li>
    </ul>
</div>
<h2 style="text-align:center">Alege produs</h2>



<form method="post"  th:action="@{/orders/add}"  th:object="${orderCustomer}">
    <fieldset>
        <input type="submit" id="submitButton" th:value="Save">
        <input type="hidden" th:field="*{restaurant.idRestaurant}" />
        <input  th:field="*{customer.idCustomer}" />
        <input  th:field = "*{date}"  th:text="${#temporals.formatISO(localDate)}"/>
        <input th:field = "*{time}" th:text="${#temporals.formatISO(timestamp)}"/>
        <input th:field = "*{status}" />

        <table>
            <thead>
            <tr>
                <th>Product name</th>
                <th>Description</th>
                <th>Price</th>
                <th>Quantity</th>
                <th>Value</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="row : ${orderCustomer.orderItemList} ">

                <td><input th:field="*{orderItemList[__${rowStat.index}__].product.productName}" /></td>
                <td><input th:field="*{orderItemList[__${rowStat.index}__].product.idProduct}" type="hidden"/>

                    <input th:field="*{orderItemList[__${rowStat.index}__].product.description}" /></td>
                <td><input th:field="*{orderItemList[__${rowStat.index}__].product.price}" /></td>
                <td><input th:field="*{orderItemList[__${rowStat.index}__].product.restaurant.restaurantName}" />
                    <input  th:field="*{orderItemList[__${rowStat.index}__].product.restaurant.idRestaurant}" type="hidden"/>
                </td>
                <td ><input type="number" th:field="*{orderItemList[__${rowStat.index}__].quantity}" th:value="orderItem.quantity"></td>

            </tr>
            </tbody>
        </table>
    </fieldset>
</form>

</body>
</html>